On Sun, 29 May 2011 11:44:05 -0700, Dirk Hohndel <hohn...@infradead.org> wrote:
> CC -O2 notmuch-reply.o
> notmuch-reply.c: In function ‘notmuch_reply_command’:
> notmuch-reply.c:658:3: error: unknown type name ‘GMimeSession’
> notmuch-reply.c:659:3: warning: passing argument 1 of 
> ‘g_mime_gpg_context_new’ from incompatible pointer type [enabled by default]
> /usr/include/gmime-2.6/gmime/gmime-gpg-context.h:64:21: note: expected 
> ‘GMimePasswordRequestFunc’ but argument is of type ‘int *’
> make: *** [notmuch-reply.o] Error 1
> 
> This seems to have been introduced in Jameson's crypto patch series...
> 
> ./configure shows:
> 
> Checking for Xapian development files... Yes (1.2.4).
> Checking for GMime development files... Yes (gmime-2.6).
> Checking for Glib development files (>= 2.14)... Yes.

Hey, Dirk.  Looks like you're using gmime-2.6, which is something I've
never looked at, and it looks like there are API changes.  This of
course doesn't help you, Dirk, but this probably means we should require
libgmime-2.4, at least until we can figure out how to support both
versions, which I'm not sure how to handle.

Dirk, just out of curiosity, what system are you running that is
provides gmime 2.6?

jamie.

Attachment: pgp7QYLtQeoDl.pgp
Description: PGP signature

_______________________________________________
notmuch mailing list
notmuch@notmuchmail.org
http://notmuchmail.org/mailman/listinfo/notmuch

Reply via email to